/***************************************************************************
                          myglobaldlg.cpp  -  description
                             -------------------
    begin                : Fre Apr 1 2005
    copyright            : (C) 2005 by Krippel Harald
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <myglobaldlg.h>

#include <iostream>

#include <qvariant.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

MyGlobalEditDlg::MyGlobalEditDlg( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : GlobalEditDlg( parent, name, modal, fl )
{
    point = NULL;
}

/*
 *  Destroys the object and frees any allocated resources
 */
MyGlobalEditDlg::~MyGlobalEditDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

void MyGlobalEditDlg::slotGetData()
{
    if(point != NULL)
    {
      slotGetData(point);
    }
}

void MyGlobalEditDlg::slotGetData(FolderListItem *i)
{
//    char mybuff[256];

    sscene->setText(i->GetValue("sscene",i));

    point=i;

    qWarning( "MyGlobalEditDlg::slotGetData(): Geht !" );
}

void MyGlobalEditDlg::slotEditData()
{
//    char mybuff[256];

    point->SetValue("sscene",sscene->text());

    point->updategl();

qWarning( "MyGlobalEditDlg::slotEditData(): Geht !" );

}

